Mon Aug 18 10:41:04 BST 2008  Eric Kow <[EMAIL PROTECTED]>
  * Add failing test for issue1012 (Simon Marlow).

Mon Aug 18 11:00:29 BST 2008  Eric Kow <[EMAIL PROTECTED]>
  * Move hidden conflicts bug to tests directory.
  This is fixed by using the darcs-2 format.

Mon Aug 18 11:13:51 BST 2008  Eric Kow <[EMAIL PROTECTED]>
  * Tidy up failing test for issue1013.
  
  We don't need to use a $DARCS variable anymore, thanks to the shell
  harness.  Also, I noticed that what used to trigger a bug now hangs.

Mon Aug 18 11:21:00 BST 2008  Eric Kow <[EMAIL PROTECTED]>
  * Tidy up known failing shell tests.
  
  * Keeping track of these bugs could be simpler if they were all
    associated with a ticket and a short description
  * The shell harness allows us to avoid a lot of bureaucracy in
    in the scripts.  In fact, people should be able to submit a
    bug just by sticking a shell script in bugs, no hoops to jump.

New patches:

[Add failing test for issue1012 (Simon Marlow).
Eric Kow <[EMAIL PROTECTED]>**20080818094104] addfile ./bugs/issue1012-unrecord-remove.sh
hunk ./bugs/issue1012-unrecord-remove.sh 1
+#!/usr/bin/env bash
+set -ev
+rm -rf test
+mkdir test
+cd test
+darcs --version
+darcs init
+echo test >File.hs
+darcs add File.hs
+darcs record File.hs -a -m "add File"
+rm File.hs
+darcs record -a -m "rm File"
+darcs cha
+darcs unrecord -p "rm File" -a
+darcs cha
+darcs record -a -m "re-rm File"

[Move hidden conflicts bug to tests directory.
Eric Kow <[EMAIL PROTECTED]>**20080818100029
 This is fixed by using the darcs-2 format.
] move ./bugs/hidden-conflict.sh ./tests/hidden_conflict.sh

[Tidy up failing test for issue1013.
Eric Kow <[EMAIL PROTECTED]>**20080818101351
 
 We don't need to use a $DARCS variable anymore, thanks to the shell
 harness.  Also, I noticed that what used to trigger a bug now hangs.
] move ./bugs/either_dependency.sh ./bugs/issue1013_either_dependency.sh
hunk ./bugs/issue1013_either_dependency.sh 2
-
-set -ve
-
-test $DARCS || DARCS=$PWD/../darcs
+set -ev
hunk ./bugs/issue1013_either_dependency.sh 5
-
hunk ./bugs/issue1013_either_dependency.sh 13
-$DARCS init --darcs-2
+darcs init --darcs-2
hunk ./bugs/issue1013_either_dependency.sh 17
-$DARCS rec -alm init
+darcs rec -alm init
hunk ./bugs/issue1013_either_dependency.sh 20
-$DARCS rec -am d1
+darcs rec -am d1
hunk ./bugs/issue1013_either_dependency.sh 22
-$DARCS get --to-patch init tmp_d1 tmp_d2
+darcs get --to-patch init tmp_d1 tmp_d2
hunk ./bugs/issue1013_either_dependency.sh 26
-$DARCS rec -am d2
-$DARCS pull -a ../tmp_d1
+darcs rec -am d2
+darcs pull -a ../tmp_d1
hunk ./bugs/issue1013_either_dependency.sh 30
-$DARCS rec -am problem
+darcs rec -am problem
hunk ./bugs/issue1013_either_dependency.sh 36
-$DARCS get --to-patch init ../tmp_d2 tmp_d
+darcs get --to-patch init ../tmp_d2 tmp_d
hunk ./bugs/issue1013_either_dependency.sh 38
-echo n/n/y |tr / \\012 |$DARCS pull ../tmp_d2
-$DARCS cha
+echo n/n/y |tr / \\012 |darcs pull ../tmp_d2
+darcs cha
hunk ./bugs/issue1013_either_dependency.sh 46
-$DARCS pull -a ../tmp_d1
-echo n/y/d |tr / \\012 |$DARCS obl -p d2
+darcs pull -a ../tmp_d1
+exit 1 # darcs hangs here (2.0.2+77)!
+echo n/y/d |tr / \\012 |darcs obl -p d2

[Tidy up known failing shell tests.
Eric Kow <[EMAIL PROTECTED]>**20080818102100
 
 * Keeping track of these bugs could be simpler if they were all
   associated with a ticket and a short description
 * The shell harness allows us to avoid a lot of bureaucracy in
   in the scripts.  In fact, people should be able to submit a
   bug just by sticking a shell script in bugs, no hoops to jump.
] move ./bugs/broken-pipe.sh ./bugs/issue558_broken_pipe.sh
move ./bugs/get_to_match.sh ./bugs/issue885_get_to_match.sh
move ./bugs/identical-patches.sh ./bugs/issue1014_identical_patches.sh
move ./bugs/issue1012-unrecord-remove.sh ./bugs/issue1012_unrecord_remove.sh
move ./bugs/issue525.sh ./bugs/issue525_amend_duplicates.sh
move ./bugs/partial-inventory.sh ./bugs/issue944_partial_inventory.sh
move ./bugs/pending-look-for-adds.sh ./bugs/issue709_pending_look-for-adds.sh
move ./bugs/replace-in-moved.sh ./bugs/issue865_replace_in_moved.sh
move ./bugs/whatsnew.sh ./bugs/issue390_whatsnew.sh
hunk ./bugs/issue1014_identical_patches.sh 2
-
hunk ./bugs/issue1014_identical_patches.sh 4
-test $DARCS || DARCS=$PWD/../darcs
-ACTUAL_DARCS=`which $DARCS`
-DARCSPATH=`dirname $ACTUAL_DARCS`
-PATH="$DARCSPATH:$PATH"
-export PATH
-
hunk ./bugs/issue558_broken_pipe.sh 6
-
-test $DARCS || DARCS=$PWD/../darcs
-ACTUAL_DARCS=`which $DARCS`
-DARCSPATH=`dirname $ACTUAL_DARCS`
-PATH="$DARCSPATH:$PATH"
-export PATH
-
hunk ./bugs/issue865_replace_in_moved.sh 52
+

Context:

[Resolve issue823: do not exit on keyboard interrupt when getting patches.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080815070943
 And give a chance for go_to_chosen_version to run.
] 
[fix buggy comments in bugs/identical-patches.sh.
David Roundy <[EMAIL PROTECTED]>**20080814135322] 
[Add Ian's identical-patch test case.
Eric Kow <[EMAIL PROTECTED]>**20080813171032] 
[URL.hs: store only URL in waitToStart queue.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080813122246] 
[Add (failing) test for issue944.
Eric Kow <[EMAIL PROTECTED]>**20080814055903
 
 This appears to be a reggression from darcs 1.0.9, and was submitted by
 Wolfgang Lux on the bug tracker.  Interestingly, only the old format
 repositories are affected, not the hashed ones.
] 
[add type witnesses to TouchesFiles
Jason Dagit <[EMAIL PROTECTED]>**20080810063403] 
[add type witnesses to Patch/Choices.lhs
Jason Dagit <[EMAIL PROTECTED]>**20080809000237] 
[Split Cache mostly out of Darsc/Repository/Prefs into its own file (take 2)
[EMAIL PROTECTED] 
[Make Darcs.Repository.Prefs export the cache hash function
[EMAIL PROTECTED] 
[remove a few unsightly functions
Jason Dagit <[EMAIL PROTECTED]>**20080813061256] 
[Fix URL module bug with pipelining enabled.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080813081218] 
[Minor change to URL module.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080813074218] 
[Enable pipelining by default, add --disable-pipelining option (issue838).
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080813011342] 
[Generalize HashRepo.clean_pristine to HashIO.clean_hashdir.
[EMAIL PROTECTED] 
[Add writeSlurpy to roll out a copy of slurpy into a filesystem.
[EMAIL PROTECTED] 
[fix breakage in URL.
David Roundy <[EMAIL PROTECTED]>**20080812141220] 
[Parametrize "pristine.hashed" in a bunch of functions.
[EMAIL PROTECTED] 
[Rework URL module for multi threading.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080811221209] 
[Add thread synchronization to URL module and resume select() if interrupted by signal in curl module.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080810092810] 
[Handle error case with empty URL in URL.waitNextUrl function.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080809221755] 
[Add --debug-http flag to enable curl and libwww debug at run-time instead of compile-time.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080809154834] 
[Print a warning when the remote end does not have darcs 2.
Eric Kow <[EMAIL PROTECTED]>**20080811100933
 
 Two reasons:
 (1) right now people get a scary warning from ssh when it can't fetch
     some non-essential files (it used to be that we would send stderr from ssh
     to /dev/null, but that has other problems...)
 (2) darcs transfer-mode more widely deployed could help a lot of people
     wrt darcs performance
] 
[Added a beware note to the unrecord command
[EMAIL PROTECTED] 
[Fixed typo
[EMAIL PROTECTED] 
[Better debug messages in URL module.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080809215247] 
[make Convert.lhs compile.
David Roundy <[EMAIL PROTECTED]>**20080810201725] 
[improve type safety of Darcs.Repository.Internal.
Jason Dagit <[EMAIL PROTECTED]>**20080810051109] 
[Refactor `darcs convert' warning at kowey's request.
Trent W. Buck <[EMAIL PROTECTED]>**20080810110014] 
[Expand formats text based in part on suggestions from darcs-users
Max Battcher <[EMAIL PROTECTED]>**20080809184043] 
[Fixes to global cache text based on darcs-users suggestions
Max Battcher <[EMAIL PROTECTED]>**20080809181424] 
[Add user-focused documentation of repository format options
Max Battcher <[EMAIL PROTECTED]>**20080807195429] 
[Highlight the global cache as a best practice
Max Battcher <[EMAIL PROTECTED]>**20080807193918] 
[Describe best practice in `darcs convert --help'.
Trent W. Buck <[EMAIL PROTECTED]>**20080810110615] 
[add type witnesses to Population
Jason Dagit <[EMAIL PROTECTED]>**20080808053252] 
[add type witnesses to CommandsAux
Jason Dagit <[EMAIL PROTECTED]>**20080808052738] 
[Add type witnesses to more modules, rounding out Darcs/Repository/*
Jason Dagit <[EMAIL PROTECTED]>**20080808050947] 
[fixed a bug in identity_commutes property
Jason Dagit <[EMAIL PROTECTED]>**20080808023025
 In the right identity check the patch order should have gone from
 (identity :> p) to (p2 :> i2).  I added a rigid type context too
 so that ghc 6.8 and newer would type the definition.
] 
[Make Darcs.Repository.Internal compile with type witnesses.
Jason Dagit <[EMAIL PROTECTED]>**20080808015343] 
[UF8.lhs: remove unusued functions/imports/docs
[EMAIL PROTECTED] 
[Resolve issue974 : do not pass both -optc-g and -opta-g to GHC
Eric Kow <[EMAIL PROTECTED]>**20080807073620] 
[make this test more cross-platform
Simon Michael <[EMAIL PROTECTED]>**20080807103433] 
[document how to run unit tests
Simon Michael <[EMAIL PROTECTED]>**20080807030416] 
[move (most) failing tests to bugs for clean test output
Simon Michael <[EMAIL PROTECTED]>**20080806191336] 
[fix an old spelling error
Simon Michael <[EMAIL PROTECTED]>**20080806170432] 
[make searching for "test:" in makefile work
Simon Michael <[EMAIL PROTECTED]>**20080805222241] 
[run only normal (expected to pass) tests by default
Simon Michael <[EMAIL PROTECTED]>**20080805222108] 
[cleanup and slight rewrite of the test docs
Simon Michael <[EMAIL PROTECTED]>**20080806165949] 
[make order of running tests consistent
Simon Michael <[EMAIL PROTECTED]>**20080806172123] 
[Downplay quantum mechanics link.
Eric Kow <[EMAIL PROTECTED]>**20080806124109
 Besides, darcs has far more than 3 users by now.
] 
[Make patch theory intro more inviting to math people.
Eric Kow <[EMAIL PROTECTED]>**20080806123411] 
[small makefile refactoring: allow just the normal tests to be run, without bugs/*
Simon Michael <[EMAIL PROTECTED]>**20080805203242] 
[Rectify dist help
[EMAIL PROTECTED]
 Removed the "make dist" suggestion, the manual is a better place for that.
 Instead, make clear that it operates on a clean copy of the tree, and
 mention the "predist" functionality.
] 
[website: explain that darcs 2 is required to get the darcs source.
Simon Michael <[EMAIL PROTECTED]>**20080803181216] 
[fix type witness compile errors specific to ghc 6.8
Jason Dagit <[EMAIL PROTECTED]>**20080722182729] 
[Canonize Gaetan Lehmann and Daniel Buenzli.
Eric Kow <[EMAIL PROTECTED]>**20080730104357
 (for Daniel B, avoid an accent in his name)
] 
[configure: check for packages needed with split base.
Eric Kow <[EMAIL PROTECTED]>**20080730103840
 Now that all packages must be used explicitly.
] 
[avoid import of unused function fromMaybe.
David Roundy <[EMAIL PROTECTED]>**20080729172825] 
[Use haskeline to have a readline-like behavior when asking something to the user
[EMAIL PROTECTED]
 Unlike the implementations using readline or editline packages, this code
 code doesn't break the Ctrl-C behavior.
] 
[add configure check for Network.URI.
David Roundy <[EMAIL PROTECTED]>**20080711011914] 
[add -hide-all-packages to default GHCFLAGS.
David Roundy <[EMAIL PROTECTED]>**20080711010952] 
[add support for outputting patch numbers in darcs changes.
David Roundy <[EMAIL PROTECTED]>**20080710011211] 
[add support for matching single patches by index.
David Roundy <[EMAIL PROTECTED]>**20080710004512] 
[add support for matching ranges of patches (counting back from present).
David Roundy <[EMAIL PROTECTED]>**20080710003225] 
[configure: suggest regex-compat before text
Eric Kow <[EMAIL PROTECTED]>**20080725095336] 
[configure: mention Haskell in 'try installing' suggestion
Eric Kow <[EMAIL PROTECTED]>**20080725095015] 
[Typo (Text.Regex)
Eric Kow <[EMAIL PROTECTED]>**20080715121708] 
[Better avoid silly manpage error.
Trent W. Buck <[EMAIL PROTECTED]>**20080704024920
 
 It turned out only initialize's help string used 'quotes', so just
 remove them.  This makes init's docstring consistent with the others.
] 
[Missing period at end of sentence.
Trent W. Buck <[EMAIL PROTECTED]>**20080704024232] 
[darcs --overview no longer works, so don't document it.
Trent W. Buck <[EMAIL PROTECTED]>**20080704030804] 
[Avoid silly manpage error.
Trent W. Buck <[EMAIL PROTECTED]>**20080703010733
 man (nroff) treats an apostrophe in the first column specially,
 resulting in a syntax error without this patch.
 
 Ideally, all cases of 'foo' in the manpage (i.e. docstrings) should
 become `foo', since man -Tps turns ` and ' into left and right single
 quotes respectively.
] 
[obliterate whitespace in Darcs.Commands.Get
[EMAIL PROTECTED]
 'twas causing lhs/haddock difficulties where a \end{code} wasn't getting recognized.
] 
[rm haddock CPP business
[EMAIL PROTECTED]
 Try as I might, I can't see any reason to special-case some Haddock CPP logic to deal with some *commented-out guards*, unless CPP magically restores and uncomments the code if Haddock isn't being run.
] 
[make pull less verbose when --verbose flag is given.
David Roundy <[EMAIL PROTECTED]>**20080624170035] 
[fix makefile to remember to regenerate version information after running configure.
David Roundy <[EMAIL PROTECTED]>**20080624170001] 
[TAG 2.0.2
David Roundy <[EMAIL PROTECTED]>**20080624012041] 
[bump version number again (brown bag!)
David Roundy <[EMAIL PROTECTED]>**20080624011914] 
[add script to check that "make dist" actually works.
David Roundy <[EMAIL PROTECTED]>**20080624011817] 
[fix buggy and inconsistent release-determining scripts.
David Roundy <[EMAIL PROTECTED]>**20080624011759] 
[ignore boring changelog entry patches when constructing ChangeLog.
David Roundy <[EMAIL PROTECTED]>**20080623224504] 
[add changelog entry for fix of version-numbering bug.
David Roundy <[EMAIL PROTECTED]>**20080623223901] 
[fix bug in determine_release_state.pl.
David Roundy <[EMAIL PROTECTED]>**20080623223739] 
[TAG 2.0.1
David Roundy <[EMAIL PROTECTED]>**20080623214707] 
[bump version to 2.0.1.
David Roundy <[EMAIL PROTECTED]>**20080623214646] 
[determine_release_state.pl: use regexp to determine patch count if "darcs changes" does not support --count argument.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080621122305] 
[Delete haddock documentation on constructor arguments; see Issue935
Michael De La Rue <[EMAIL PROTECTED]>**20080622182644] 
[Add configure options for libcurl and libwww debugging.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080620221237] 
[aclocal.m4: add library to $LIBS instead of $GHCFLAGS in GHC_CHECK_LIBRARY.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080620214538] 
[resolve issue930: remove broken link from webpage.
David Roundy <[EMAIL PROTECTED]>**20080620172635] 
[add threadWaitRead trick as suggested by Simon (issue916).
David Roundy <[EMAIL PROTECTED]>**20080620172119
 Apparently this should solve the ctrl-C issues on posix systems, but
 windows remains only partially-solved (it requires multiple ctrl-C's
 to exit).
] 
[resolve issue916: use separate thread for reading from stdin.
David Roundy <[EMAIL PROTECTED]>**20080618210110] 
[Set up configure to build an rpm spec file for building rpm packages with.
Michael De La Rue <[EMAIL PROTECTED]>**20080616231617] 
[hscurl.c: fix harmless warning with curl >= 7.18.1.
Dmitry Kurochkin <[EMAIL PROTECTED]>**20080613125607] 
[Even more changelog entries for 2.0.1.
Eric Kow <[EMAIL PROTECTED]>**20080614091045] 
[Use changes -s style for unlogged patches (make_changelog).
Eric Kow <[EMAIL PROTECTED]>**20080614072632
 This make it easier to tell what a patch is at a glance.
] 
[Still more changelog entries for 2.0.1.
Eric Kow <[EMAIL PROTECTED]>**20080613181548] 
[Canonize Benjamin Fraksen.
Eric Kow <[EMAIL PROTECTED]>**20080613171147] 
[fix potential redundancy in version name.
David Roundy <[EMAIL PROTECTED]>**20080613162019] 
[fix issue #918: use simplePrinters for xml output in "darcs changes" command
[EMAIL PROTECTED] 
[make darcs send always provide context.
David Roundy <[EMAIL PROTECTED]>**20080613155550
 I've just gotten sick of telling folks to add send --unified to their
 defaults file.  It's hard to see who wouldn't want context included.
] 
[More changelog entries for 2.0.1.
Eric Kow <[EMAIL PROTECTED]>**20080613165729] 
[Clarify intent of ignored changelog entries.
Eric Kow <[EMAIL PROTECTED]>**20080613162537] 
[Ignore tags in make_changelog warning about unlogged patches.
Eric Kow <[EMAIL PROTECTED]>**20080613162213] 
[Support comments on ignored changelog entries.
Eric Kow <[EMAIL PROTECTED]>**20080613161742
 
 Parsec wibble: the problem was that it would start parsing the
 emptyLine as a 'match' and not backtrack.
] 
[ChangeLog entries by Eric.
Eric Kow <[EMAIL PROTECTED]>**20080613151200
 Some ChangeLog entries for 2.0.1
] 
[Add 'ignored' changelog entries (no warnings).
Eric Kow <[EMAIL PROTECTED]>**20080613150620] 
[Resolve issue705: warn about patches which are not changelogged.
Eric Kow <[EMAIL PROTECTED]>**20080613145443
 Mostly by Tommy Pettersson.
] 
[Add ability to ignore patches for ChangeLog.
Eric Kow <[EMAIL PROTECTED]>**20080613142540
 This would be useful if make_changelog could point out which patches
 are not being changelogged.
] 
[Exceptions to GPL granted as of 2008-06-13 morning.
Eric Kow <[EMAIL PROTECTED]>**20080613072749] 
[Add test for case-insensitive backup bug.
Eric Kow <[EMAIL PROTECTED]>**20080613070918] 
[Fix a backup bug on case-insensitive file systems.
Eric Kow <[EMAIL PROTECTED]>**20080613070213
 
 Avoids this scenario.  The task: move foo to FOO and modify FOO
 1. FOO (foo) already exists, so I'll back it up
    (moves FOO [foo] to FOO.darcs-backup0)
 2. Now I can move foo to FOO
    foo no longer exists, but that's ok
    (nothing happens)
 3. Now I can FOO
    hey, where did FOO go?
    (crash!)
] 
[Check for bash before running shell tests.
Eric Kow <[EMAIL PROTECTED]>**20080612145509
 MSYS, for instance, does not provide bash by default.
 [note: or rather, only under the guise of sh.exe]
] 
[TAG 2.0.1rc2
David Roundy <[EMAIL PROTECTED]>**20080613011745] 
[bump version number up to 2.0.1rc2.
David Roundy <[EMAIL PROTECTED]>**20080613011731] 
[Resolve issue913: Use Data.Bytestring for IO, not Data.Bytestring.Char8
Eric Kow <[EMAIL PROTECTED]>**20080612125719
 
 This solution comes from Ian Lynagh, who points out that the
 difference between the two is:
 
 Data.Bytestring.Char8
 ---------------------
 writeFile :: FilePath -> ByteString -> IO ()
 writeFile f txt = bracket (openFile f WriteMode) hClose
    (\h -> hPut h txt)
 
 Data.Bytestring
 ---------------
 writeFile :: FilePath -> ByteString -> IO ()
 writeFile f txt = bracket (openBinaryFile f WriteMode) hClose
    (\h -> hPut h txt)
 
 We want this change because, as the System.IO docs say:
 
   On Windows, reading a file in text mode (which is the default) will
   translate CRLF to LF, and writing will translate LF to CRLF. This is
   usually what you want with text files. With binary files this is
   undesirable; also, as usual under Microsoft operating systems, text
   mode treats control-Z as EOF. Binary mode turns off all special
   treatment of end-of-line and end-of-file characters.
 
] 
[fix OPTLLIBS filtering
Karel Gardas <[EMAIL PROTECTED]>**20080607210701] 
[Darcs.Repository.Prefs: +boring filters for MS Visual Studio (see -users discussion)
[EMAIL PROTECTED] 
[Demonstrate 'hidden conflicts' bug (old format).
Eric Kow <[EMAIL PROTECTED]>**20080606151534] 
[fix regression introduced by using Data.List.isInfixOf.
David Roundy <[EMAIL PROTECTED]>**20080606102519] 
[fix bug in test when there's a space in test directory.
David Roundy <[EMAIL PROTECTED]>**20080605151104] 
[translate pull.pl into shell.
David Roundy <[EMAIL PROTECTED]>**20080605124106] 
[make test suite smarter about cleaning up test directories.
David Roundy <[EMAIL PROTECTED]>**20080605124025] 
[darcs put now support --{no-,}set-default.
Nicolas Pouillard <[EMAIL PROTECTED]>**20080604214551] 
[fix regression in index.html.in.
David Roundy <[EMAIL PROTECTED]>**20080605114356] 
[resolve issue783: propose 'edit' as a default Windows editor
Eric Kow <[EMAIL PROTECTED]>**20080605165812
 
 I think every Windows box has this.  Advantages over notepad are that
 - it's a console app
 - it appears to support Unix newlines
] 
[Makefile: prefix -optl only on $(LIBS) that start with '-'
Eric Kow <[EMAIL PROTECTED]>**20080605105539
 
 Otherwise, on Windows, if you try to build --with-static-libs, the
 linker will be passed /usr/local/lib/libcurl.a as an argument, which
 makes gcc complain.
] 
[resolve issue770: catch 'does not exist' when running external programs
Eric Kow <[EMAIL PROTECTED]>**20080604143100
 Convert these errors into ExitCode 127 (for Windows)
] 
[Improve generic rules for English plurals. 
Eric Kow <[EMAIL PROTECTED]>**20080604123728] 
[TAG 2.0.1rc1
David Roundy <[EMAIL PROTECTED]>**20080603124331] 
Patch bundle hash:
b26410ec2033e490228e159a1b986b89a7427478
_______________________________________________
darcs-users mailing list
[email protected]
http://lists.osuosl.org/mailman/listinfo/darcs-users

Reply via email to